## flvmux flvmux |

## Properties

gboolean | streamable | Read / Write
gchar * | metadatacreator | Read / Write

## Types and Values

| GstFlvMux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAggregator
                        ╰── GstFlvMux

## Implemented Interfaces

GstFlvMux implements GstTagSetter.

## Description

flvmux muxes different streams into an FLV file.

### Example launch line

    1
    gst-launch-1.0 -v flvmux name=mux ! filesink location=test.flv  audiotestsrc samplesperbuffer=44100 num-buffers=10 ! faac ! mux.  videotestsrc num-buffers=250 ! video/x-raw,framerate=25/1 ! x264enc ! mux.

This pipeline encodes a test audio and video stream and muxes both into an FLV file.

## Synopsis

### Element Information

plugin | flv
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Muxer

### Element Pads

name | audio
direction | sink
presence | request
details | audio/x-adpcm, layout=(string)swf, channels=(int){ 1, 2 }, rate=(int){ 5512, 11025, 22050, 44100 }
| audio/mpeg, mpegversion=(int)1, layer=(int)3, channels=(int){ 1, 2 }, rate=(int){ 5512, 8000, 11025, 22050, 44100 }, parsed=(boolean)true
| audio/mpeg, mpegversion=(int){ 4, 2 }, stream-format=(string)raw
| audio/x-nellymoser, channels=(int){ 1, 2 }, rate=(int){ 5512, 8000, 11025, 16000, 22050, 44100 }
| audio/x-raw, format=(string){ U8, S16LE }, layout=(string)interleaved, channels=(int){ 1, 2 }, rate=(int){ 5512, 11025, 22050, 44100 }
| audio/x-alaw, channels=(int){ 1, 2 }, rate=(int){ 5512, 11025, 22050, 44100 }
| audio/x-mulaw, channels=(int){ 1, 2 }, rate=(int){ 5512, 11025, 22050, 44100 }
| audio/x-speex, channels=(int)1, rate=(int)16000

name | video
direction | sink
presence | request
details | video/x-flash-video
| video/x-flash-screen
| video/x-vp6-flash
| video/x-vp6-alpha
| video/x-h264, stream-format=(string)avc

name | src
direction | source
presence | always
details | video/x-flv

## Functions

## Types and Values

### GstFlvMux

    typedef struct _GstFlvMux GstFlvMux;

## Property Details

### The `“streamable”` property

      “streamable”               gboolean

If True, the output will be streaming friendly. (ie without indexes and duration)

Flags: Read / Write

Default value: FALSE

### The `“metadatacreator”` property

      “metadatacreator”          gchar *

The value of metadatacreator in the meta packet.

Flags: Read / Write

Default value: NULL